import Cookies from 'js-cookie'

const TokenKey = 'AdminOMS-Token'

const ExpiresInKey = 'AdminOMS-Expires-In'

export function getToken() {
  if(process.env.NODE_ENV === 'development'){
    return 'eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxLCJ1c2VyX2tleSI6IjRkMzkxNTI0LWYzYmYtNDQxZS04OTgyLWE2NTcwZWE1OTJkNyIsInVzZXJuYW1lIjoiYWRtaW4ifQ.ggtNOVHV-mBJ_-8tSi4U_BnKgi0cGFV4a5j6ON9qGV7IxL6qsfl1qV_RY-kEtn_g2QM5yGDF3usPmljbzbkpHQ'
  }else{
    return Cookies.get(TokenKey)
  }
  
}

export function setToken(token:string) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time:any) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
